package main

import (
	"net/http"

	_ "github.com/mattn/go-sqlite3"
	"lewisdale.dev/oopsie/data"
	"lewisdale.dev/oopsie/sites"
)

const createSitesTable = `CREATE TABLE IF NOT EXISTS sites (
id INTEGER NOT NULL PRIMARY KEY,
created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
name TEXT NOT NULL,
url TEXT NOT NULL
);`

func main() {
	db := data.Connect("test.sqlite3")

	sites.CreateTable(db)

	site := sites.Site{Name: "Lewisdale.dev", Url: "https://lewisdale.dev"}
	site.Save(db)

	http.HandleFunc("GET /", func(w http.ResponseWriter, r *http.Request) {
		w.Write([]byte("This was a GET request!"))
	})

	http.HandleFunc("POST /", func(w http.ResponseWriter, r *http.Request) {
		w.Write([]byte("This was a POST request!"))
	})

	http.ListenAndServe(":8000", nil)
}
